<?php
$token = "";
$projects_id = "";
$branch = "main";
$file_path = "update.txt";

date_default_timezone_set("Asia/Jakarta");
$date = strval(date("Y-m-d H:i:s"));
$content = "update " . $date;
echo $content;

// Generated by curl-to-PHP: http://incarnate.github.io/curl-to-php/
$ch = curl_init();

curl_setopt(
    $ch,
    CURLOPT_URL,
    "https://gitlab.com/api/v4/projects/" . $projects_id . "/repository/commits"
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
$post = [
    "branch" => $branch,
    "commit_message" => $content,
    "actions[][action]" => "update",
    "actions[][file_path]" => $file_path,
    "actions[][content]" => $content,
];
curl_setopt($ch, CURLOPT_POSTFIELDS, $post);

$headers = [];
$headers[] = "PRIVATE-TOKEN:: " . $token;
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;
if (curl_errno($ch)) {
    echo "Error:" . curl_error($ch);
}
curl_close($ch);
?>
